[jira] [Created] (LUCENE-4086) Remove 3.x index support from trunk

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Created] (LUCENE-4086) Remove 3.x index support from trunk

JIRA jira@apache.org
Robert Muir created LUCENE-4086:
-----------------------------------

             Summary: Remove 3.x index support from trunk
                 Key: LUCENE-4086
                 URL: https://issues.apache.org/jira/browse/LUCENE-4086
             Project: Lucene - Java
          Issue Type: Task
          Components: core/index
            Reporter: Robert Muir
             Fix For: 5.0


Once we fix LUCENE-4084, we should generate a 4.0 back compat index, plug it into TestBackwardsCompatibility, and remove preflex-r/rw codecs completely.

we should also nuke all junit assumes, suppressCodecs, etc that dodge around 3.x-specific issues, remove the segmentinfos legacy write method, etc etc.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

       

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[jira] [Updated] (LUCENE-4086) Remove 3.x index support from trunk

JIRA jira@apache.org

     [ https://issues.apache.org/jira/browse/LUCENE-4086?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Robert Muir updated LUCENE-4086:
--------------------------------

    Attachment: 40.optimized.nocfs.zip
                40.optimized.cfs.zip
                40.nocfs.zip
                40.cfs.zip
                LUCENE-4086.patch

attached is the patch and generated index zips. all tests and javadocs-lint pass.

I tried to cleanup where it was obvious and made sense: but nothing too serious.

its necessary to svn move all the 3.x indexes from index.xxx.zip to unsupported.xxx.zip
               

> Remove 3.x index support from trunk
> -----------------------------------
>
>                 Key: LUCENE-4086
>                 URL: https://issues.apache.org/jira/browse/LUCENE-4086
>             Project: Lucene - Java
>          Issue Type: Task
>          Components: core/index
>            Reporter: Robert Muir
>             Fix For: 5.0
>
>         Attachments: 40.cfs.zip, 40.nocfs.zip, 40.optimized.cfs.zip, 40.optimized.nocfs.zip, LUCENE-4086.patch
>
>
> Once we fix LUCENE-4084, we should generate a 4.0 back compat index, plug it into TestBackwardsCompatibility, and remove preflex-r/rw codecs completely.
> we should also nuke all junit assumes, suppressCodecs, etc that dodge around 3.x-specific issues, remove the segmentinfos legacy write method, etc etc.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

       

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

[jira] [Resolved] (LUCENE-4086) Remove 3.x index support from trunk

JIRA jira@apache.org
In reply to this post by JIRA jira@apache.org

     [ https://issues.apache.org/jira/browse/LUCENE-4086?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Robert Muir resolved LUCENE-4086.
---------------------------------

    Resolution: Fixed

Committed to trunk.
               

> Remove 3.x index support from trunk
> -----------------------------------
>
>                 Key: LUCENE-4086
>                 URL: https://issues.apache.org/jira/browse/LUCENE-4086
>             Project: Lucene - Java
>          Issue Type: Task
>          Components: core/index
>            Reporter: Robert Muir
>             Fix For: 5.0
>
>         Attachments: 40.cfs.zip, 40.nocfs.zip, 40.optimized.cfs.zip, 40.optimized.nocfs.zip, LUCENE-4086.patch
>
>
> Once we fix LUCENE-4084, we should generate a 4.0 back compat index, plug it into TestBackwardsCompatibility, and remove preflex-r/rw codecs completely.
> we should also nuke all junit assumes, suppressCodecs, etc that dodge around 3.x-specific issues, remove the segmentinfos legacy write method, etc etc.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

       

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]